Loading...
Searching...
No Matches
osmium::io::GzipCompressor Class Referencefinal

`#include <gzip_compression.hpp>`

Inheritance diagram for osmium::io::GzipCompressor:
[legend]
Collaboration diagram for osmium::io::GzipCompressor:
[legend]

## Public Member Functions

| GzipCompressor (const int fd, const fsync sync)
| GzipCompressor (const GzipCompressor &)=delete
GzipCompressor & | operator= (const GzipCompressor &)=delete
| GzipCompressor (GzipCompressor &&)=delete
GzipCompressor & | operator= (GzipCompressor &&)=delete
| ~GzipCompressor () noexcept override
void | write (const std::string &data) override
void | close () override
std::size_t | file_size () const override
Public Member Functions inherited from osmium::io::Compressor
| Compressor (const fsync sync) noexcept
| Compressor (const Compressor &)=default
Compressor & | operator= (const Compressor &)=default
| Compressor (Compressor &&) noexcept=default
Compressor & | operator= (Compressor &&) noexcept=default
virtual | ~Compressor () noexcept=default

## Private Attributes

std::size_t | m_file_size = 0
int | m_fd
gzFile | m_gzfile

## Additional Inherited Members

Protected Member Functions inherited from osmium::io::Compressor
bool | do_fsync () const noexcept

## Constructor & Destructor Documentation

## GzipCompressor() [1/3]

osmium::io::GzipCompressor::GzipCompressor | ( | const int | fd,
|  | const fsync | sync )

inline explicit

## GzipCompressor() [2/3]

osmium::io::GzipCompressor::GzipCompressor | ( | const GzipCompressor & |  | ) |

delete

## GzipCompressor() [3/3]

osmium::io::GzipCompressor::GzipCompressor | ( | GzipCompressor && |  | ) |

delete

## ~GzipCompressor()

osmium::io::GzipCompressor::~GzipCompressor | ( |  | ) |

inline override noexcept

## Member Function Documentation

## close()

void osmium::io::GzipCompressor::close | ( |  | ) |

inline override virtual

Implements osmium::io::Compressor.

## file_size()

std::size_t osmium::io::GzipCompressor::file_size | ( |  | ) | const

inline override virtual

Reimplemented from osmium::io::Compressor.

## operator=() [1/2]

GzipCompressor & osmium::io::GzipCompressor::operator= | ( | const GzipCompressor & |  | ) |

delete

## operator=() [2/2]

GzipCompressor & osmium::io::GzipCompressor::operator= | ( | GzipCompressor && |  | ) |

delete

## write()

void osmium::io::GzipCompressor::write | ( | const std::string & | data | ) |

inline override virtual

Implements osmium::io::Compressor.

## Member Data Documentation

## m_fd

int osmium::io::GzipCompressor::m_fd

private

## m_file_size

std::size_t osmium::io::GzipCompressor::m_file_size = 0

private

## m_gzfile

gzFile osmium::io::GzipCompressor::m_gzfile

private

The documentation for this class was generated from the following file:

- include/osmium/io/gzip_compression.hpp